summaryrefslogtreecommitdiff
path: root/fetch-vendor-package.sh
diff options
context:
space:
mode:
authorJohn Stultz <john.stultz@linaro.org>2022-02-02 04:37:53 +0000
committerJohn Stultz <john.stultz@linaro.org>2022-02-23 19:18:24 +0000
commitec36f2d62fe5ce2b76e1ee51d3656455480831ac (patch)
tree38440597e50aa6c8db367f9805c935282595be0c /fetch-vendor-package.sh
parent92fd6ed17beaad46ede504577b65f45dd015190a (diff)
downloadhikey-ec36f2d62fe5ce2b76e1ee51d3656455480831ac.tar.gz
hikey960/hikey: Re-transition to using to vendor-package
Moves the bootloader objects, and mali libraries to the vendor package and adds the support files, tweaking the flash-all.sh script Will use the vendor-package located here: https://releases.linaro.org/android/aosp-linaro-vendor-package/extract-linaro_devices-20220210.tgz Previously this patch was reverted, as there would be build errors when the vendor pacakge was missing. This patch re-applies the earlier change, with some additional fixes to ensure we don't see build trouble when the package is missing. Signed-off-by: John Stultz <john.stultz@linaro.org> Change-Id: I53ec5516d91391c0d3f18c801e730eff150076af
Diffstat (limited to 'fetch-vendor-package.sh')
-rwxr-xr-xfetch-vendor-package.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/fetch-vendor-package.sh b/fetch-vendor-package.sh
new file mode 100755
index 00000000..cbadbdeb
--- /dev/null
+++ b/fetch-vendor-package.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+# fetch, check & extract the current vendor package
+set -e
+
+DIR_PARENT=$(cd $(dirname $0); pwd)
+if [ -z "${ANDROID_BUILD_TOP}" ]; then
+ ANDROID_BUILD_TOP=$(cd ${DIR_PARENT}/../../../; pwd)
+fi
+
+. "${ANDROID_BUILD_TOP}/device/linaro/hikey/vendor-package-ver.sh"
+
+PKG_FILE=extract-linaro_devices-${EXPECTED_LINARO_VENDOR_VERSION}
+
+pushd ${ANDROID_BUILD_TOP}
+
+if [ ! -e "${PKG_FILE}.tgz" ]; then
+ curl -L ${VND_PKG_URL} -o ${PKG_FILE}.tgz
+fi
+
+# generate expected sha512sum, check & cleanup
+echo "${EXPECTED_LINARO_VENDOR_SHA} ${PKG_FILE}.tgz" > ${PKG_FILE}.tgz.sha
+sha512sum -c ${PKG_FILE}.tgz.sha
+rm ${PKG_FILE}.tgz.sha
+
+tar -xf ${PKG_FILE}.tgz
+./${PKG_FILE}.sh
+popd